package com.jay.monitor.data.server.store;

import com.jay.monitor.data.core.model.response.PageResponseModel;

import java.util.List;

/**
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 * @date 2021/9/8 - 14:29
 */
public interface ISimpleCrudProcess<T> {
    public List<T> queryList(T index);

    public boolean save(T index);

    public boolean update(T index);

    public T queryById(String id);

    public boolean delete(String id);

    public PageResponseModel<T> searchDataByList(Integer pageNo, Integer pageSize, T query) throws Exception;
}
